﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPolyclinic.Entities
{
    public class Patient
    {
        public int Id { get;private set; }
        [DisplayName("Имя пациента")]
        public string First_Name { get; private set; } = string.Empty;
        [DisplayName("Фамилия пациента")]
        public string Last_Name { get; private set; } = string.Empty;
        public string FullName => $"{First_Name} {Last_Name}";

        [DisplayName("Контактный номер")]
        public string ContactNumber { get; private set; } = string.Empty;
        public static Patient CreateEntity(int id, string first_Name, string last_Name, string contactNumber)
        {
            return new Patient
            {
                Id = id,
                First_Name = first_Name,
                Last_Name = last_Name,
                ContactNumber = contactNumber
            };
        }
    }
}
