﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPolyclinic.Entities
{
    public class ProfessionalDevelopment
    {
        public int Id { get; private set; }
        [Browsable(false)]
        public int DoctorId { get; private set; }
        [DisplayName("Доктор")]
        public string DoctorName { get; private set; } = string.Empty;
        [DisplayName("Дата повышения квалификации")]
        public DateTime ProfessionalDevelopmentTime { get; private set; }
        //public string Description { get; private set; } = string.Empty;
        public static ProfessionalDevelopment CreateOperation(int id, int doctorId, DateTime professionalDevelopmentTime)
        {
            return new ProfessionalDevelopment
            {
                Id = id,
                DoctorId = doctorId,
                ProfessionalDevelopmentTime = professionalDevelopmentTime,
               // Description = description ?? string.Empty
            };
        }
    }
}
