﻿using ProjectPolyclinic.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPolyclinic.Repositories
{
    public interface IMedicationRepository
    {
        IEnumerable<Medication> ReadMedicines();
        Medication ReadMedicationById(int id);
        void CreateMedication(Medication medication);
        void UpdateMedication(Medication medication);
        void DeleteMedication(int id);
    }
}
