﻿using ProjectPolyclinic.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPolyclinic.Repositories
{
    public interface IVisitingRepository
    {
        IEnumerable<Visiting> ReadVisiting(DateTime? dateForm = null, DateTime? dateTo = null, int? patientId = null, int? doctorId = null,int ? visitingId = null);
        void CreateVisiting(Visiting visiting);
        void DeleteVisiting(int id);
    }
}
